﻿Type=Activity
Version=7.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Private mapRet As Map
	Private objRet As Object
	Private strCallbackSub As String= ""
	Private exitTimer As Timer
	Private exitTimer_tick_duration As Int = 2000 
End Sub

Sub Globals
	Private lblTitle As Label
	Private edtText1 As EditText
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("layoutforactivity2") 
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 
	Select Case KeyCode
		Case KeyCodes.KEYCODE_BACK
			If (exitTimer.Enabled=False) Then
				ToastMessageShow("Again to exit", False)
				If (exitTimer.IsInitialized=False) Then
					exitTimer.Initialize("exitTimer", exitTimer_tick_duration)
				End If
				exitTimer.Enabled=True
				Return True
			Else
				exitTimer.Enabled=False
				Activity.Finish
				Return True
			End If
		
	End Select
	Return False
End Sub
Sub exitTimer_Tick
	exitTimer.Enabled=False
End Sub

Sub Initialize(CallingObj As Object, mX As Map)
	mapRet         = mX
	objRet         = CallingObj
	strCallbackSub = mX.Get("CallBackSub")
	
	lblTitle.Text = mX.Get("strTitle")
	edtText1.Text = mX.Get("strInitText1")
End Sub

Sub btnEsc_Click
	' Close Activity without further actions required
	Activity.Finish
End Sub

Sub btnOk_Click
	' Set result parameters, call the callbackfunction and close Activity
	mapRet.put("result", "OK")
	mapRet.put("edtText1", edtText1.Text)
	CallSubDelayed2(objRet, strCallbackSub, mapRet)
	Activity.Finish
End Sub
Sub btnOk_LongClick
	mapRet.put("result", "OKLONG")
	mapRet.put("edtText1", edtText1.Text & edtText1.Text & edtText1.Text)
	CallSubDelayed2(objRet, strCallbackSub, mapRet)
	Activity.Finish	
End Sub